<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="CLIP.html"><font color="#008000">CLIP</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Clip structure (Use for AREA)."</font>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">version</font></strong> := <font color="#A020F0">1</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_object</font></strong>:<a href="OBJECT.html"><font color="#008000">OBJECT</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>  
  
  <br><font FACE="Sans-serif" color="#000000"><B>                 top</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>                  /\ </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> (x_min,y_min) X--||----------+</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>               |              |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>         left <=              |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>               |              |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>               |     CLIP     |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>               |              |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>               |              => right</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>               |              |</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>               +----------||--X (x_max,y_max)</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>                          \/</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>                        bottom</B></font>
    
  <br><font FACE="Sans-serif" color="#000000"><B> Coord. abs clip.</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">x_min</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">y_min</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">x_max</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">y_max</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">window</font></strong>:<a href="AREA.html"><font color="#008000">AREA</font></a>;
  
  <br><font FACE="Sans-serif" color="#000000"><B> Four clip links. </B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">left</font></strong>:<a href="CLIP.html"><font color="#008000">CLIP</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">right</font></strong>:<a href="CLIP.html"><font color="#008000">CLIP</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">top</font></strong>:<a href="CLIP.html"><font color="#008000">CLIP</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">bottom</font></strong>:<a href="CLIP.html"><font color="#008000">CLIP</font></a>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> win:<a href="AREA.html"><font color="#008000">AREA</font></a> <strong><font color="#0000FF">at</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">to</font></strong> (x1,y1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create</font></strong> win:<a href="AREA.html"><font color="#008000">AREA</font></a> <strong><font color="#0000FF">at</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">to</font></strong> (x1,y1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) :<a href="CLIP.html"><font color="#008000">CLIP</font></a> <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_left</font></strong> new_link:<a href="CLIP.html"><font color="#008000">CLIP</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_right</font></strong> new_link:<a href="CLIP.html"><font color="#008000">CLIP</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_top</font></strong> new_link:<a href="CLIP.html"><font color="#008000">CLIP</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_bottom</font></strong> new_link:<a href="CLIP.html"><font color="#008000">CLIP</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_x_min</font></strong> new:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_x_max</font></strong> new:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_y_min</font></strong> new:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_y_max</font></strong> new:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">display</font></strong> win:<a href="AREA.html"><font color="#008000">AREA</font></a> <-
    
</body>
</html>

